# Dependency: NodeJS

You have to install Nodejs Version >= 8.x.x (Disclaimer: As far as I testet, it doesn't work for 4.8 and it does work for 12.18.3)


## Installation Guide for Debian 9 (Stretch)

```bash
curl -sL https://deb.nodesource.com/setup_<version>.x | bash -
apt install nodejs
```

(`<Version>` means the major version only. 8 or 10 or whatever, but not 8.3)


## Additional Information

Although there is a module named `nodejs` in `apt`, *don't use it*. In fact, uninstall it via `apt remove nodejs`, if it's currently installed. (It can't harm to trying to uninstall it if you're unsure whether it's installed or not.)

Why? Debian is a very stable Linux distribution. Every module is tested for an extended amount of time before it's released. That's why the modules in the package repositories often are … not the most recent version.

For running Yapex, you need a more recent version than the default package repository provides currently. (By now, it is version 8.x)

Take a look at [the NodeJS binary distribution github repository](https://github.com/nodesource/distributions/blob/master/README.md) and decide for a version. It should be at least version 8. (If you don't know, which one you need, take the most recent one.)
