# Docs for YAPEX

The dev docs are inside `dev/`.

The user docs are inside `user/`.

The docs are written as `gitbook`s in `markdown`.

All installation guides are located at `installation/`.

In `helpers/` are some helper programs/scripts stored
e.g. to create images, diagrams, ...

## Writing docs

### Indentation

- use tabs
	- [everyone can configure the space size of the tabs]

### Paths

- if you write a path enclose it in ` to mark it
	- if the path is a directory add a `/` to the path to indicate a folder
		- [we don't use `/xyz` because on unix this is ambiguous]
		- [we don't use `xyz` because could be a file without a file extension (even though all files should have an extension!)]

### Meta information

- if you want to justify why a decision was made (like the path format) enclose it in brackets []
